Package org.gradle.util

## Class DistributionLocator

- java.lang.Object
- - org.gradle.util.DistributionLocator

-     @Deprecated
      public class DistributionLocator
      extends java.lang.Object

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistributionLocator()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URI` | `getDistributionFor​(GradleVersion version)` | Deprecated.
    `java.net.URI` | `getDistributionFor​(GradleVersion version, java.lang.String type)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributionLocator

          public DistributionLocator()

      Deprecated.

  - ### Method Detail

    - #### getDistributionFor

          public java.net.URI getDistributionFor​(GradleVersion version)

      Deprecated.

    - #### getDistributionFor

          public java.net.URI getDistributionFor​(GradleVersion version,
                                                 java.lang.String type)

      Deprecated.